View Issue Details

IDProjectCategoryView StatusLast Update
0005143gnURL[All Projects] Generalpublic2017-11-27 21:17
Reporterng0Assigned Tong0 
PrioritynormalSeverityminorReproducibilityhave not tried
Status resolvedResolutionfixed 
Summary0005143: get rid of the configure switches list of doom
DescriptionResulting from this https://github.com/NixOS/nixpkgs/issues/30219 discussion:

gnURL shouldn't need the many switches we have to provide to it currently by hand.
TagsNo tags attached.

Activities

ng0

2017-10-08 21:41

manager   ~0012469

My current idea is to provide some autotools magic to reduce it to --build-gnurl or something along the lines.

ng0

2017-11-27 16:28

manager   ~0012606

In 7.56.1.1 my current solution produces a binary which outputs:

curl 7.56.1.1 (x86_64-unknown-linux-gnu) libcurl/7.56.1.1 GnuTLS/3.5.13 zlib/1.2.11 libidn2/2.0.4
Release-Date: 2017-11-27
Protocols: dict file ftp ftps gopher http https imap imaps pop3 pop3s smb smbs smtp smtps telnet tftp
Features: AsynchDNS IDN IPv6 Largefile NTLM NTLM_WB SSL libz TLS-SRP UnixSockets HTTPS-proxy MultiSSL

So it is far from fixed, or there's just something in maketgz I need to fix.

ng0

2017-11-27 21:17

manager   ~0012607

More or less fixed by release 7.56.1-2.
I need to make the configure.ac less hacky and fix corner cases where people could still pass configure flags (I don't want to allow that except in some cases).

Issue History

Date Modified Username Field Change
2017-10-08 21:40 ng0 New Issue
2017-10-08 21:41 ng0 Note Added: 0012469
2017-10-24 21:25 ng0 Assigned To => ng0
2017-10-24 21:25 ng0 Status new => assigned
2017-11-27 16:28 ng0 Note Added: 0012606
2017-11-27 21:17 ng0 Note Added: 0012607
2017-11-27 21:17 ng0 Status assigned => resolved
2017-11-27 21:17 ng0 Resolution open => fixed